<?php

require_once "../controladores/servicios.controlador.php";
require_once "../modelos/servicios.modelo.php";

class AjaxServicios{



	public function ajaxMostrarContratosServicios(){

		$item = "idtipo_servicios";
		$valor = $this->idtipo_servicios;
		$valor2 = $this->estadoServicios;
		$valor3 = $this->zonaBloques;
		$respuesta = ControladorServicios::ctrMostrarporBloques($item, $valor,$valor2,$valor3);

		echo json_encode($respuesta);


	}
	public function ajaxMostrarContratosServiciosS(){

		$item = "idtipo_servicios";
		$valor = $this->idtipo_servicios;
		$valor2 = $this->estadosServiciosS;
		$valor3 = $this->zonaDetallado;
		$respuesta = ControladorServicios::ctrMostrarporGeneral($item, $valor,$valor2,$valor3);

		echo json_encode($respuesta);


	}
	public function ajaxMostrarContratosServiciosD(){

		$item = "idtipo_servicios";
		$valor = $this->idtipo_serviciosD;
		$valor2 = $this->estadosServiciosD;
		$valor3 = $this->zonaBloquesD;
		$respuesta = ControladorServicios::ctrMostrarporConta($item, $valor,$valor2,$valor3);

		echo json_encode($respuesta);


	}





}



/* ============================================
	REALIZAMOS CONSULTAS POR SELECT
	============================================*/
if(isset($_POST["tipoServicios"])){

	$tipo_servicios = new AjaxServicios();
	$tipo_servicios -> idtipo_servicios = $_POST["tipoServicios"];
	$tipo_servicios -> estadoServicios = $_POST["estadosServicios"];
	$tipo_servicios -> zonaBloques = $_POST["zonaBloques"];
	$tipo_servicios -> ajaxMostrarContratosServicios();

}

if(isset($_POST["tipoServicioSs"])){

	$tipo_servicios = new AjaxServicios();
	$tipo_servicios -> idtipo_servicios = $_POST["tipoServicioSs"];
	$tipo_servicios -> estadosServiciosS = $_POST["estadosServiciosS"];
	$tipo_servicios -> zonaDetallado = $_POST["zonaDetallado"];
	$tipo_servicios -> ajaxMostrarContratosServiciosS();

}

if(isset($_POST["tipoServiciosD"])){

	$tipo_servicios = new AjaxServicios();
	$tipo_servicios -> idtipo_serviciosD = $_POST["tipoServiciosD"];
	$tipo_servicios -> estadosServiciosD = $_POST["estadosServiciosD"];
	$tipo_servicios -> zonaBloquesD = $_POST["zonaBloquesD"];
	$tipo_servicios -> ajaxMostrarContratosServiciosD();

}


